/*
** Definitions both needed in the driver and the Mystique/Mill special lib
*/
#ifndef _MGA_COMMON_LIB_H_
#define _MGA_COMMON_LIB_H_

#include <ggi/ggi_commands.h>

/* Font layout of the Matrox framebuffer */

typedef struct mgafont {
	uint8 pad0_1[2];
	uint8 font;
	uint8 pad3_7[5];
} mgafont;

#define MM_PROT_RW     (VM_READ|VM_WRITE|VM_SHARED)
#define MM_PROT_W      (VM_WRITE|VM_SHARED)
#define MMAP_DMAWIN    MMAP_PRIVATE

/* driver specific ioctls.  Hopefully don't collide */
#define	GR_MATROX_WAITACCEL	        IOC(GRAPHICS, 0x80)
#define GR_MATROX_DMASTOP_AND_WAITACCEL IOC(GRAPHICS, 0x81)

#endif /* _MGA_COMMON_LIB_H_ */
